﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using HeuristicLab.Core;

namespace HeuristicLab.Algorithms.IteratedSymbolicExpressionConstruction {
  // represents the state value function (V(s))
  public interface IStateValueFunction : IItem {
    double Value(object state);
    void Update(object state, double observedQuality);
    IStateFunction StateFunction { get; }
  }
}
